#pragma once

#include <string>
#include <map>

namespace usql {

class Settings {

public:
    static void set_setting(const std::string &name, const std::string &value);
    static std::string get_setting(const std::string &name);

    static long string_to_date(const std::string &datestr);
    static std::string date_to_string(long date);

private:
    static std::vector<std::pair<std::string, std::string>> m_settings;
};

}	// namespace